
.. _sphx_glr_api_reference:

API and modules
===============

.. currentmodule:: ot


:py:mod:`ot`:

.. autosummary::
   :toctree: gen_modules/
   :template: module.rst

   
   backend
   bregman
   coot
   da
   datasets
   dr
   factored
   gaussian
   gnn
   gromov
   lp
   optim
   partial
   plot
   regpath
   sliced
   smooth
   stochastic
   unbalanced
   utils
   weak
   

Main :py:mod:`ot` functions
---------------------------

.. automodule:: ot
   :members:



